Add Supports
POST
/api/construct-models/:model_id/supportsAdd Supports
Request
Parameters
| Name | Location | Type | Required |
|---|---|---|---|
model_id | path | string | yes |
Bodyrequired
application/json
SupportsBatchobject
| Property | Type | Required |
|---|---|---|
supports | object[] | yes |
Raw schema
{
"properties": {
"supports": {
"items": {
"properties": {
"id": {
"title": "Id",
"type": "string"
},
"nodeId": {
"title": "Nodeid",
"type": "string"
},
"restraints": {
"properties": {
"r1": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "R1"
},
"r2": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "R2"
},
"r3": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "R3"
},
"u1": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "U1"
},
"u2": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "U2"
},
"u3": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "U3"
}
},
"title": "ViewerSupportRestraints",
"type": "object"
},
"source": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Source"
}
},
"required": [
"id",
"nodeId"
],
"title": "ViewerSupport",
"type": "object"
},
"minItems": 1,
"title": "Supports",
"type": "array"
}
},
"required": [
"supports"
],
"title": "SupportsBatch",
"type": "object"
}Responses
200Successful Response
application/json
Response Add Construct Supportsobject[]
Raw schema
{
"items": {
"properties": {
"id": {
"title": "Id",
"type": "string"
},
"nodeId": {
"title": "Nodeid",
"type": "string"
},
"restraints": {
"properties": {
"r1": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "R1"
},
"r2": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "R2"
},
"r3": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "R3"
},
"u1": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "U1"
},
"u2": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "U2"
},
"u3": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "U3"
}
},
"title": "ViewerSupportRestraints",
"type": "object"
},
"source": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Source"
}
},
"required": [
"id",
"nodeId"
],
"title": "ViewerSupport",
"type": "object"
},
"title": "Response Add Construct Supports",
"type": "array"
}422Validation Error
application/json
HTTPValidationErrorobject
| Property | Type | Required |
|---|---|---|
detail | object[] | no |
Raw schema
{
"properties": {
"detail": {
"items": {
"properties": {
"loc": {
"items": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
}
]
},
"title": "Location",
"type": "array"
},
"msg": {
"title": "Message",
"type": "string"
},
"type": {
"title": "Error Type",
"type": "string"
}
},
"required": [
"loc",
"msg",
"type"
],
"title": "ValidationError",
"type": "object"
},
"title": "Detail",
"type": "array"
}
},
"title": "HTTPValidationError",
"type": "object"
}